def lunar_multiplication(a, b):
    a_str = str(a)
    b_str = str(b)
    result = '0'
    for i, digit_b in enumerate(reversed(b_str)):
        intermediate_result = ''
        for digit_a in reversed(a_str):
            intermediate_result = str(min(digit_a, digit_b)) + intermediate_result
        intermediate_result += '0' * i
        result = lunar_addition(result, intermediate_result)
    return int(result)
def lunar_addition(a, b):
    a_str = str(a)
    b_str = str(b)
    max_len = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_len)
    b_str = b_str.zfill(max_len)
    result = ''
    for digit_a, digit_b in zip(a_str, b_str):
        result += max(digit_a, digit_b)
    return int(result)
a = int(input())
b = int(input())

lunar_sum = lunar_addition(a, b)
lunar_product = lunar_multiplication(a, b)

print(f"sum: {lunar_sum}")
print(f"proizv: {lunar_product}")